import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { ForceIndexIndicator } from "./ForceIndexIndicator";
/**
 * Represents a IgxDataChartComponent Force Index indicator series.
 * Default required members: Close, Volume
*/
export class IgrForceIndexIndicator extends IgrStrategyBasedIndicator {
    createImplementation() {
        return new ForceIndexIndicator();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets the moving average period for the current AverageTrueRangeSeries object.
     * The typical, and initial, value for ForceIndiex periods is 0.
    */
    get period() {
        return this.i.ql;
    }
    set period(v) {
        this.i.ql = +v;
    }
}
